#!/usr/bin/python3
import sys
import codecs
import traceback
import requests
import re
import pandas as pd
import random
import urllib
import dataset
import json
import gspread
import datetime
from gspread_pandas import Spread, Client
from oauth2client.service_account import ServiceAccountCredentials
import os
import threading

def save_sheet(df,filename,tabname,startpos='A1'):

    scope = ['https://spreadsheets.google.com/feeds',
            'https://www.googleapis.com/auth/drive']

    credentials = ServiceAccountCredentials.from_json_keyfile_name('c:\\keys\\spread2.json', scope)
#    credentials = ServiceAccountCredentials.from_json_keyfile_name('/var/keys/spread2.json', scope)

    gc = gspread.authorize(credentials)
    spread = Spread(filename,creds=credentials)

    spread.df_to_sheet(df, index=False, sheet=tabname, start=startpos, replace=False)


def do_jobs():
    db = dataset.connect('mysql://choozmo:pAssw0rd@db.ptt.cx:3306/hhh?charset=utf8mb4')
    cursor=db.query("SELECT designer,m01,ptt,pix FROM hhh.designer_social")
    df = pd.DataFrame(columns=('designer','mobile01','ptt','blogs'))

    idx=0

    for c in cursor:
        df.loc[idx]=[c['designer'],c['m01'],c['ptt'],c['pix']]
    #    df.loc[idx]=['okok',333]
        idx+=1
    save_sheet(df,'Designer_SocialMedia','statistics')

t = threading.Thread(target = do_jobs)
t.start()
t.join()

